
Name:		jpegoptim
Version:	1.4.2
Release:	1%{?dist}
Summary:	Utility to optimize JPEG files

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://www.kokkonen.net/tjko/projects.html
Source0:	http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libjpeg-devel

%description
Jpegoptim is an utility to optimize JPEG files. Provides lossless optimization
(based on optimizing the Huffman tables) and "lossy" optimization based on
setting maximum quality factor.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
install -Dpm 0755 jpegoptim %{buildroot}/%{_bindir}/jpegoptim
install -Dpm 0644 jpegoptim.1 %{buildroot}/%{_mandir}/man1/jpegoptim.1


%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif


%files
%defattr(-,root,root,-)
%doc README COPYRIGHT COPYING
%{_bindir}/jpegoptim
%{_mandir}/man1/*.1*


%changelog
* Tue Dec 23 2014 Denis Fateyev <denis@fateyev.com> - 1.4.2-1
- Update to version 1.4.2

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Denis Fateyev <denis@fateyev.com> - 1.4.1-1
- Update to version 1.4.1

* Sat May 03 2014 Denis Fateyev <denis@fateyev.com> - 1.3.1-1
- Update to version 1.3.1

* Tue Jan 07 2014 Denis Fateyev <denis@fateyev.com> - 1.3.0-1
- Initial Fedora RPM package
